# Ansible role to deploy librenms on debian

## Requirement

You need a debian OS (tested on debian 10). You will also need apache installed
on the same host and a mysql database.

## Variables (in defaults)

* **librenms_user** - default value: librenms
* **librenms_group** - default value: "{{librenms_user}}"
* **librenms_home** - default value: /opt/librenms
* **librenms_db_host** - default value: 127.0.0.1:3306
* **librenms_db_name** - default value: librenms
* **librenms_db_user** - default value: librenms
* **librenms_db_pass** - default value: xai6oa8va7mai7ChaeTu
* **librenms_fqdn** - default value: localhost
* **librenms_apache_template** - default value: librenms.conf.j2
* **librenms_cert_file** - default value: "/etc/ssl/certs/ssl-cert-snakeoil.pem"
* **librenms_key_file** - default value: "/etc/ssl/private/ssl-cert-snakeoil.key"
* **librenms_tls** - default value: yes
* **librenms_http_port** - default value: 443
* **librenms_version** - default value: master
* **librenms_admin_user** - default value: admin
* **librenms_admin_pass** - default value:: admin

* **librenms_deb_packages** - list of packages, go check defaults/main.yml

## Example playbook

Go an check the playbook directory

## Role philosophy

* KISS: Keep it simple Smart-Guy
* Only support what you need. No magic
* If you need to fix/troubleshoot or manual install, just go an check the task
  and defaults directories. It should be easy to follow the steps
